---
search:
  tags:
    - People
    - GET
seo:
  description: >-
    Get change history for a person. Returns audit trail of modifications with
    user… Reference for the GET /people/{personId}/history endpoint in the Modem
    API.
sidebar:
  label: Get history
  badge: GET
title: Get history
type: openapi-operation
---
Get change history for a person. Returns audit trail of modifications with user attribution.

`GET /people/{personId}/history`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "history": [
    {
      "changedAt": "2019-08-24T14:15:22Z",
      "changedBy": "agent",
      "changes": {
        "property1": null,
        "property2": null
      },
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "operation": "DELETE",
      "previousValues": {
        "property1": null,
        "property2": null
      },
      "user": {
        "id": "string",
        "image": "string",
        "name": "string"
      }
    }
  ],
  "mergedInto": {
    "id": "string",
    "mergedAt": "2019-08-24T14:15:22Z",
    "targetPerson": {
      "id": "string",
      "name": "string"
    },
    "user": {
      "id": "string",
      "image": "string",
      "name": "string"
    }
  },
  "merges": [
    {
      "id": "string",
      "mergedAt": "2019-08-24T14:15:22Z",
      "sourcePersons": [
        {
          "id": "string",
          "name": "string"
        }
      ],
      "user": {
        "id": "string",
        "image": "string",
        "name": "string"
      }
    }
  ],
  "totalCount": 0
}
```
